%define	pkgname	libguac-client-rdp
%define	soname	%{pkgname}0
Summary:	Guacamole client plugin supporting RDP
Name:		%{soname}
Version:	0.7.4
Release:	14.1
License:	MPLv1.1 or GPLv2 or LGPLv2.1
Group:		System Environment/Libraries
BuildRequires:	cairo-devel, libguac4-devel, freerdp-devel
Requires:	cairo, freerdp
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
This is a client plugin for Guacamole which supports RDP.

%package devel
Summary:        The rdp-client library (development headers)
Group:          Development/Libraries
Requires:       %{soname} = %{version}
Requires:  cairo-devel, libguac4-devel, freerdp-devel

%description devel
The development headers associated with the rdp-client library, libguac-client-rdp.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/*.so
%dir %{_libdir}/freerdp
%{_libdir}/freerdp/guac_rdpsnd.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/freerdp/guac_rdpsnd.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Sat Jun  1 2013 cs@linux-administrator.com
- update to release 0.7.4
* Sun Mar 24 2013 cs@linux-administrator.com
- update to release 0.7.3
* Tue Jan 22 2013 cs@linux-administrator.com
- update to release 0.7.2
* Sat Dec 15 2012 cs@linux-administrator.com
- update to release 0.7.1
* Tue Dec  4 2012 cs@linux-administrator.com
- update to release 0.7.0
* Fri Oct 19 2012 cs@linux-administrator.com
- update to 0.6.2
* Sun Sep 30 2012 cs@linux-administrator.com
- initial package
